Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Fix to make it work with node v0.6.6 #25

Merged
merged 1 commit into from

2 participants

@alejandro

This is an small fix to make it work fab on v0.6.6 previously this was the error that fab was throwing up when I ran the demo.js after that everything works fine.

 Error: Cannot find module 'run'
    at Function._resolveFilename (module.js:334:11)
    at Function._load (module.js:279:25)
    at Module.require (module.js:357:17)
    at require (module.js:368:17)
    at loop (/dev/fab/index.js:26:7)
    at imports (/dev/fab/index.js:31:4)
    at /dev/fab/demo.js:18:10
    at fab (/dev/fab/index.js:3:22)
    at repl:1:15
    at REPLServer.eval (repl.js:80:21)
@jed jed merged commit 43855c0 into from
@jed
Owner

awesome, thanks @alejandromg.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jan 11, 2012
  1. @alejandro
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 2 deletions.
  1. +1 −2  index.js
View
3  index.js
@@ -23,8 +23,7 @@ function imports( exports ) {
else {
console.log( name.replace( /\W/g, "/" ), name.replace( /\W/g, "/" ) )
-
- require( name.replace( /\W/g, "/" ) )( function( lib ) {
+ require( './' + name.replace( /\W/g, "/" ) )( function( lib ) {
libs.push( lib );
loop();
}, imports );
Something went wrong with that request. Please try again.